require 'spec_helper'
require 'time'
require 'URI'

RSpec.describe 'DistributionApi::create_card' do

  let(:api_key) { 'key' }
  let(:api_secret) { 'secret' }
  let(:api_endpoint) { 'https://distribution.api.wizypay.com/v1' }
  let(:reference) { '85fb584c-72cb-4f35-b307-ac5442ef7153' }

  before do
    DistributionApi::setup(api_key, api_secret, api_endpoint)
  end

  it 'returns ' do
    t = Time.new('2015-10-30T21:00:00+001')
    Timecop.freeze(t) do
      url = DistributionApi::card_url(reference)
      expect(url).to eq("#{api_endpoint}/widget?key=#{URI::encode_www_form_component api_key}"+
                            "&timestamp=#{URI::encode_www_form_component t.httpdate}" +
                            "&reference=#{URI::encode_www_form_component reference}"+
                            "&security=0fKNCz6hux0IjNCz31JHgzh35gqLTAIM8z3iNhSkC7g%3D")
    end
  end
end